;***GDI+ wrapper file***
;nxSoftware.com 2010.

;Demo program.
;Creating fonts.
;*******************************************************************************************

;In this demo we create a font based upon a font-family object.


XIncludeFile "..\..\gdiPlus.pbi"

If gdiPlus_Init() = #ok
  fontFamily.gdiPlus_FontFamily = gdiPlus_CreateFontFamily("Arial", 0)
  If fontFamily
    font.gdiPlus_Font = gdiPlus_CreateFont(fontFamily, 10, #FontStyleBold) ;The optional 4th parameter specifies the units which defaults to #UnitPoint.
    If font
      Debug "Font line-spacing in pixels = " + StrF(font\GetHeightGivenDPI(96), 1) + " (assuming 96 dpi)."
      Debug "Font em size in font units = " + StrF(font\GetSize(), 1)
      Debug "Font style constant  = " + Str(font\GetStyle())
      Debug "Font unit constant  = " + Str(font\GetUnit())
      font\Destroy()
    EndIf
    fontFamily\Destroy()  
  EndIf
  gdiPlus_Free()
EndIf

End
; IDE Options = PureBasic 4.51 (Windows - x86)
; CursorPosition = 15
; EnableXP
; Executable = ..\nxExplorerBar.exe