;***GDI+ wrapper file***
;nxSoftware.com 2010.

;Demo program.
;Saving images with encoder parameters.
;*******************************************************************************************

XIncludeFile "..\..\gdiPlus.pbi"

If gdiPlus_Init() = #ok
  image.gdiPlus_Image = gdiPlus_LoadImage("..\image4.jpg")
  If image
    ;We will save as a JPEG and will rotate the image 90 degrees. This is done with a suitable encoder parameter.
      encoderParams.gdiPlus_EncoderParameters = gdiPlus_CreateEncoderParameters()
    If encoderParams
      ;Add the transformation encoder parameter.
        transform.l = #EncoderValueTransformRotate90 ;Rotate 90 degrees.
        encoderParams\AddParameter(#GDIPLUS_ENCODERTRANSFORMATION, #EncoderParameterValueTypeLong, @transform)
      ;Now save the image.
        image\Save("save2.jpeg", #GDIPLUS_JPEG, encoderParams)
      ;Release the encoderParams object.
        encoderParams\Destroy()
    EndIf
    image\Destroy()
  EndIf
  gdiPlus_Free()
EndIf

; IDE Options = PureBasic 4.51 (Windows - x86)
; CursorPosition = 10
; EnableXP
; Executable = ..\nxExplorerBar.exe